%define name	gltron
%define version	0.59
%define release	10mdk

Summary:	Gltron, a 3d lightcycle game using OpenGL
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Arcade

Source:		gltron-0.59.tar.bz2
Source1:	gltron-xpm.tar.bz2

Patch:		gltron-nosound.patch.bz2
Patch1:		gltron-change-default-camtype.patch.bz2
Patch2:		gltron-change-default-alphatrails.patch.bz2

BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libSDL1.2-devel >= 1.2, libSDL_mixer1.2-devel Mesa-common-devel XFree86-devel audiofile-devel esound-devel libpng-devel zlib-devel

%description
A very nice Tron game using OpenGL.

%prep

%setup -q
%patch -p1
%patch1 -p0
%patch2 -p0

%build
./configure --prefix=%{_prefix}
%make GLTRON_INSTALLDIR=%{_gamesbindir} GLTRON_HOME=%{_gamesdatadir}/gltron CFLAGS="$RPM_OPT_FLAGS -c -pedantic -Wall -DSOUND"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall GLTRON_INSTALLDIR=$RPM_BUILD_ROOT%{_gamesbindir} GLTRON_HOME=$RPM_BUILD_ROOT%{_gamesdatadir}/gltron

mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
tar xvfy %{SOURCE1}
install -m0644 gltron-16.xpm $RPM_BUILD_ROOT%{_miconsdir}/gltron.xpm
install -m0644 gltron-32.xpm $RPM_BUILD_ROOT%{_iconsdir}/gltron.xpm
install -m0644 gltron-48.xpm $RPM_BUILD_ROOT%{_liconsdir}/gltron.xpm

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat <<EOF >$RPM_BUILD_ROOT%{_menudir}/gltron
?package(%{name}):command="%{_gamesbindir}/gltron" \
		  icon="gltron.xpm" \
		  needs="x11" \
		  section="Amusement/Arcade" \
		  title="Gltron" \
		  longtitle="3d lightcycle game"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc LICENSE README README.html TODO INSTALL
%{_gamesbindir}/gltron
%{_gamesdatadir}/gltron/*.png
%{_gamesdatadir}/gltron/*.ftx
%{_gamesdatadir}/gltron/*.txt
%{_gamesdatadir}/gltron/*.wav
%{_gamesdatadir}/gltron/*.it
%{_gamesdatadir}/gltron/*.obj
%{_gamesdatadir}/gltron/*.mtl
%{_miconsdir}/gltron.xpm
%{_iconsdir}/gltron.xpm
%{_liconsdir}/gltron.xpm
%{_menudir}/gltron

%changelog
* Tue Jul 03 2001 Franois Pons <fpons@mandrakesoft.com> 0.59-10mdk
- build release, update distribution tag.

* Fri May 18 2001 Franois Pons <fpons@mandrakesoft.com> 0.59-9mdk
- rebuild with SDL 1.2.

* Sun Dec 17 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 0.59-8mdk
- updated BuildRequires

* Tue Nov 14 2000 Franois Pons <fpons@mandrakesoft.com> 0.59-7mdk
- updated icons transparancy.

* Fri Sep 15 2000 David BAUDENS <baudens@mandrakesoft.com> 0.59-6mdk
- Fix Title in Menu entry

* Thu Sep  7 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.59-5mdk
- use alpha trails by default, to workaround a display bug with some
  3d hardware
- use our compiling flags

* Sun Sep 03 2000 Franois Pons <fpons@mandrakesoft.com> 0.59-4mdk
- using right macros for games.
- added missing icons.

* Tue Aug 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.59-3mdk
- added a patch to change default cam type (follows motorcycle)

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.59-2mdk
- automatically added BuildRequires

* Mon Jul 31 2000 Franois Pons <fpons@mandrakesoft.com> 0.59-1mdk
- added menu entry.
- created patch to allow starting even if no sound available.
- initial release.

